package _VisualDVM.Passes.All;
import Common.Passes.Pass;

import java.util.Vector;
public class ExtractRecipients extends Pass {
    Vector<String> new_recipients = new Vector<>();
    @Override
    public boolean needsConfirmations() {
        return true;
    }
    @Override
    public String getIconPath() {
        return "/Common/icons/Search.png";
    }
    @Override
    public String getButtonText() {
        return "";
    }
    @Override
    protected void body() throws Exception {
        /*
        new_recipients.clear();
        for (BugReport bugReport : Global.componentsServer.db.bugReports.Data.values()) {
            Vector<String> recipients = BugReportInterface.getRecipients(bugReport,false);
            for (String email : recipients)
                if (!Global.db.recipients.Data.containsKey(email)) {
                    Global.db.Insert(new DBRecipient("отредактируйте имя", email));
                    new_recipients.add(email);
                }
        }
         */
    }
    @Override
    protected void showDone() throws Exception {
        /*
        Global.db.recipients.ShowUI();
        String finalMessage = "Найдено " + new_recipients.size() + " новых адресатов.";
        if (!new_recipients.isEmpty())
            finalMessage += "\n" + String.join("\n", new_recipients);
        UI.Info(finalMessage);
         */
    }
}
